#include <iostream>
using namespace std;

/*
 * Връща n-тото число на фибуначи
 *
 * a(0) = 1
 * a(1) = 1
 * a(n) = a(n-1) + a(n-2)
 */
int fib(int n) {

	if(n < 2) {
		return 1;
	}

	return fib(n - 1) + fib(n - 2);
}

int main() {

	int n;
	cout << "n: ";
	cin >> n;

	cout << "fib(" << n << ") = " << fib(n) << endl;
	return 0;
}
